Debian Bug report logs - #547672
nslu2-utils: Ready/Status LED keeps blinking after reboot

version graph

Package: nslu2-utils; Maintainer for nslu2-utils is Joey Hess <joeyh@debian.org>; Source for nslu2-utils is src:nslu2-utils.

Reported by: Theo Arends <theo.arends17@gmail.com>

Date: Mon, 21 Sep 2009 13:12:07 UTC

Severity: normal

Merged with 547684

Found in version nslu2-utils/20080403-3.1

Fixed in version nslu2-utils/20080403-4

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, theo.arends17@gmail.com, Joey Hess <joeyh@debian.org>:
Bug#547672; Package nslu2-utils. (Mon, 21 Sep 2009 13:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theo Arends <theo.arends17@gmail.com>:
New Bug report received and forwarded. Copy sent to theo.arends17@gmail.com, Joey Hess <joeyh@debian.org>. (Mon, 21 Sep 2009 13:12:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Theo Arends <theo.arends17@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nslu2-utils: Ready/Status LED keeps blinking after reboot
Date: Mon, 21 Sep 2009 14:49:51 +0200
Package: nslu2-utils
Version: 20080403-3.1
Severity: normal

The Ready/Status led keeps blinking after reboot because the file /etc/init.d/leds
is missing. Solution would be to change the call /etc/init.d/leds to /etc/init.d/leds-lvlx 
in all /etc/init.d/zleds-stop-lvlx files.

Rgrds, Theo Arends

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.30-1-ixp4xx
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages nslu2-utils depends on:
ii  devio                       1.2-1        correctly read (or write) a region
ii  flash-kernel                2.22         utility to make certain embedded d
ii  slugimage                   1:0.0+r104-5 NSLU2 firmware image manipulation 

nslu2-utils recommends no packages.

Versions of packages nslu2-utils suggests:
ii  beep                          1.2.2-23   advanced pc-speaker beeper

-- no debconf information




Merged 547672 547684. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Fri, 25 Sep 2009 20:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#547672; Package nslu2-utils. (Sun, 27 Sep 2009 14:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 27 Sep 2009 14:42:12 GMT) Full text and rfc822 format available.

Message #12 received at 547672@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 547672@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>, Gordon Farquharson <gordonfarquharson@gmail.com>
Subject: Re: Bug#547672: nslu2-utils: Ready/Status LED keeps blinking after reboot
Date: Sun, 27 Sep 2009 15:25:39 +0100
* Theo Arends <theo.arends17@gmail.com> [2009-09-21 14:49]:
> The Ready/Status led keeps blinking after reboot because the file /etc/init.d/leds
> is missing. Solution would be to change the call /etc/init.d/leds to /etc/init.d/leds-lvlx 
> in all /etc/init.d/zleds-stop-lvlx files.

And from #547684:

> Solution would be to change the reference to the above file in all files
> /etc/init.d/zleds-stop-lvln to /etc/init.d/leds-lvln

Petter, it seems your recent upload broke nslu2-utils.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#547672; Package nslu2-utils. (Sun, 27 Sep 2009 14:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 27 Sep 2009 14:45:10 GMT) Full text and rfc822 format available.

Message #17 received at 547672@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 547672@bugs.debian.org, Gordon Farquharson <gordonfarquharson@gmail.com>
Subject: Re: Bug#547672: nslu2-utils: Ready/Status LED keeps blinking after reboot
Date: Sun, 27 Sep 2009 16:34:44 +0200
[Martin Michlmayr]
> Petter, it seems your recent upload broke nslu2-utils.

nslu2-utils was already broken when I uploaded the new version.
Unstable is switched to dependency based boot sequencing, and the old
nslu2-utils hack no longer worked when request for several symlinks in
a given runlevel is rejected.

So, what can be done to fix it?  Do you want me to look at it, or help
out with patches, or what?

I do not have a nslu2 test system myself, so I would have to implement
a fix blindfolded and depend on test results from others to see if it
work. :)

My upload with the last patch was based on the positive test report
from Gordon Farquharson.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#547672; Package nslu2-utils. (Sun, 27 Sep 2009 15:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 27 Sep 2009 15:12:07 GMT) Full text and rfc822 format available.

Message #22 received at 547672@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 547672@bugs.debian.org, Gordon Farquharson <gordonfarquharson@gmail.com>
Subject: Re: Bug#547672: nslu2-utils: Ready/Status LED keeps blinking after reboot
Date: Sun, 27 Sep 2009 16:05:48 +0100
* Petter Reinholdtsen <pere@hungry.com> [2009-09-27 16:34]:
> So, what can be done to fix it?  Do you want me to look at it, or help
> out with patches, or what?
...

Ok, never mind then.  From the bug log it sounds like a simple fix but
it certainly makes sense for someone with the hardware to test it.

Gordon, do you have time to look into this?  If not, I'll do it.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#547672; Package nslu2-utils. (Sun, 27 Sep 2009 16:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sun, 27 Sep 2009 16:33:09 GMT) Full text and rfc822 format available.

Message #27 received at 547672@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 547672@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>, Gordon Farquharson <gordonfarquharson@gmail.com>
Subject: Re: Bug#547672: nslu2-utils: Ready/Status LED keeps blinking after reboot
Date: Sun, 27 Sep 2009 12:10:01 -0400
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> Ok, never mind then.  From the bug log it sounds like a simple fix but
> it certainly makes sense for someone with the hardware to test it.
> 
> Gordon, do you have time to look into this?  If not, I'll do it.

AFAIk, I've fixed it in svn. (Untested tho.)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#547672; Package nslu2-utils. (Mon, 28 Sep 2009 19:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Mon, 28 Sep 2009 19:24:08 GMT) Full text and rfc822 format available.

Message #32 received at 547672@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: 547672@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>, Gordon Farquharson <gordonfarquharson@gmail.com>
Subject: Re: Bug#547672: nslu2-utils: Ready/Status LED keeps blinking after reboot
Date: Mon, 28 Sep 2009 20:05:21 +0100
* Joey Hess <joeyh@debian.org> [2009-09-27 12:10]:
> > it certainly makes sense for someone with the hardware to test it.
> > 
> > Gordon, do you have time to look into this?  If not, I'll do it.
> 
> AFAIk, I've fixed it in svn. (Untested tho.)

I just tested it and it works fine.  Thanks.
-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Thu, 29 Oct 2009 22:03:58 GMT) Full text and rfc822 format available.

Notification sent to Theo Arends <theo.arends17@gmail.com>:
Bug acknowledged by developer. (Thu, 29 Oct 2009 22:03:58 GMT) Full text and rfc822 format available.

Message #37 received at 547672-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 547672-close@bugs.debian.org
Subject: Bug#547672: fixed in nslu2-utils 20080403-4
Date: Thu, 29 Oct 2009 20:59:31 +0000
Source: nslu2-utils
Source-Version: 20080403-4

We believe that the bug you reported is fixed in the latest version of
nslu2-utils, which is due to be installed in the Debian FTP archive:

nslu2-utils_20080403-4.dsc
  to main/n/nslu2-utils/nslu2-utils_20080403-4.dsc
nslu2-utils_20080403-4.tar.gz
  to main/n/nslu2-utils/nslu2-utils_20080403-4.tar.gz
nslu2-utils_20080403-4_armel.deb
  to main/n/nslu2-utils/nslu2-utils_20080403-4_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547672@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated nslu2-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Oct 2009 09:49:53 -0400
Source: nslu2-utils
Binary: nslu2-utils
Architecture: source armel
Version: 20080403-4
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 nslu2-utils - utilities and init scripts for the Linksys NSLU2
Closes: 509719 545204 547672
Changes: 
 nslu2-utils (20080403-4) unstable; urgency=low
 .
   * ACK NMU. Closes: #545204
   * Fix name of start script called by stop scripts (broken by NMU).
     Closes: #547672
   * Drop the nslu2-rtc init script, since rtc_dev has been built into
     the kernel since before the release of stable. Closes: #509719
   * Fix preinst to be set -e.
Checksums-Sha1: 
 00ff16bafa602bcd8bfc85b0c5e2ec1710ea785a 886 nslu2-utils_20080403-4.dsc
 0d84fae5c3e1968652f4a765b1d0a8649b849ffc 47206 nslu2-utils_20080403-4.tar.gz
 ef6cdc417d522995ab1ac87810b7b6bf4d7c0acd 17044 nslu2-utils_20080403-4_armel.deb
Checksums-Sha256: 
 7f0195ab5e2bfa8f03395f5a518af4af478a671402656634a7a8ee89e8104154 886 nslu2-utils_20080403-4.dsc
 7806972755fe381d39a13c39f0bef70163692f9d594f49d04f842778275984bd 47206 nslu2-utils_20080403-4.tar.gz
 8ea3ffb96fd837181d427424ddc30a78594922dda95c30bc9798148a0db699d7 17044 nslu2-utils_20080403-4_armel.deb
Files: 
 aae7550360ccfd791105687572c55dea 886 admin extra nslu2-utils_20080403-4.dsc
 f941147cba186ed8be4f37131675dfd5 47206 admin extra nslu2-utils_20080403-4.tar.gz
 01f9c333a2f2304fa49857f1bbb26c8b 17044 admin extra nslu2-utils_20080403-4_armel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK6al12tp5zXiKP0wRAgVJAJ92WPbbHaFP1Nk3jxJ4y5P3nZ/37gCgnaOT
yyYf7ljaKNswi+S22ofTEcM=
=4CuJ
-----END PGP SIGNATURE-----





Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Thu, 29 Oct 2009 22:03:59 GMT) Full text and rfc822 format available.

Notification sent to theo <theo@sidweb.mine.nu>:
Bug acknowledged by developer. (Thu, 29 Oct 2009 22:03:59 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Dec 2009 07:36:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:43:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.